# AUTOGENERATED! DO NOT EDIT! File to edit: ../../../nbs/data_structure/timeseries/10_utils.ipynb.

# %% auto 0
__all__ = ['get_time_resolution']

# %% ../../../nbs/data_structure/timeseries/10_utils.ipynb 0
import numpy as np
from plum import dispatch

from xarray import DataArray
from numpy import ndarray

# %% ../../../nbs/data_structure/timeseries/10_utils.ipynb 1
@dispatch
def get_time_resolution(time: ndarray, funcs=[np.min, np.median, np.max], unit="s"):  # noqa: F811
    """
    Get the time resolution of the time series data
    """
    dt = np.diff(time) / np.timedelta64(1, unit)
    return {f.__name__: f(dt) for f in funcs}


@dispatch
def get_time_resolution(data: DataArray, **kwargs):  # noqa: F811
    """
    Get the time resolution of the time series data.
    """
    return get_time_resolution(data.time.values, **kwargs)


@dispatch
def get_time_resolution(data: list[DataArray], **kwargs):  # noqa: F811
    return [get_time_resolution(d, **kwargs) for d in data]
