# AUTOGENERATED! DO NOT EDIT! File to edit: ../../nbs/utils/00_basic.ipynb.

# %% auto 0
__all__ = ['resample']

# %% ../../nbs/utils/00_basic.ipynb 1
import polars as pl
import polars.selectors as cs
from datetime import timedelta

# %% ../../nbs/utils/00_basic.ipynb 2
def resample(
    df: pl.LazyFrame | pl.DataFrame,
    every: timedelta,
    period: timedelta = None,
    offset: timedelta = None,
    shift: timedelta = None,
    time_column="time",
):
    """Resample the DataFrame"""
    if period is None:
        period = every
    if shift is None:
        shift = period / 2
    return (
        df.sort(time_column)
        .group_by_dynamic(time_column, every=every, period=period, offset=offset)
        .agg(cs.numeric().mean())
        .with_columns((pl.col(time_column) + shift))
    )
